> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Allocation Sync Runs



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/cost-allocations/{id}/sync-runs
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/cost-allocations/{id}/sync-runs:
    get:
      tags:
        - Company Objects
      summary: List Allocation Sync Runs
      operationId: coa_api_cost_allocations_sync_runs_list
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAllocationSyncRunList'
          description: ''
components:
  schemas:
    PaginatedAllocationSyncRunList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/AllocationSyncRun'
    AllocationSyncRun:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        allocation:
          type: integer
          readOnly: true
        allocation_name:
          type: string
          readOnly: true
        trigger:
          allOf:
            - $ref: '#/components/schemas/TriggerEnum'
          readOnly: true
        caused_by:
          type: integer
          nullable: true
          readOnly: true
        caused_by_name:
          type: string
          readOnly: true
        weights_used:
          readOnly: true
          nullable: true
        periods_affected:
          readOnly: true
        transactions_updated:
          type: integer
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/AllocationSyncRunStatusEnum'
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        finished_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        journal_entry:
          type: integer
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - allocation
        - allocation_name
        - caused_by
        - caused_by_name
        - created_at
        - finished_at
        - id
        - journal_entry
        - periods_affected
        - started_at
        - status
        - transactions_updated
        - trigger
        - weights_used
    TriggerEnum:
      enum:
        - definition_edit
        - balance_post
        - finalize
        - reopen
        - manual
      type: string
      description: |-
        * `definition_edit` - Definition Edit
        * `balance_post` - Balance Post
        * `finalize` - Finalize
        * `reopen` - Reopen
        * `manual` - Manual
    AllocationSyncRunStatusEnum:
      enum:
        - queued
        - running
        - done
        - failed
      type: string
      description: |-
        * `queued` - Queued
        * `running` - Running
        * `done` - Done
        * `failed` - Failed

````